<?xml version="1.0" encoding="utf-8"?>

<creole>
    <variables>
        <family name='GPO'>
            <variable name='gpo_proxy_active' type='oui/non' description='Activer la GPO "Proxy" pour les clients'>
                <value>non</value>
            </variable>
            <variable name='gpo_proxy_type' type='string' description="Type de proxy pour les clients" mandatory='True'/>
            <variable name='gpo_proxy_url' type='string' description="Adresse de configuration automatique du proxy" mandatory='True'/>
            <variable name='gpo_proxy_ip' type='domain' description="Adresse du serveur proxy pour les clients" mandatory='True'/>
            <variable name='gpo_proxy_port' type='port' description="Port du serveur proxy pour les clients" mandatory='True' mode='basic'>
                <value>3128</value>
            </variable>
            <variable name='gpo_proxy_bypass' type='string' description='Ne pas utiliser de proxy pour les adresses commençant par (séparateur ";")' mode='basic'/>

        </family>
        <separators>
            <separator name='gpo_proxy_active'>GPOs additionnelles</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_enum' target='gpo_proxy_type'>
            <param>['Connexion directe', 'Configuration automatique', 'Script de configuration', 'Manuel']</param>
        </check>
        <condition name='disabled_if_in' source='gpo_proxy_active'>
            <param>non</param>
            <target type='variable'>gpo_proxy_type</target>
        </condition>
        <condition name='disabled_if_not_in' source='gpo_proxy_type'>
            <param>Script de configuration</param>
            <target type='variable'>gpo_proxy_url</target>
        </condition>
        <condition name='disabled_if_not_in' source='gpo_proxy_type'>
            <param>Manuel</param>
            <target type='variable'>gpo_proxy_ip</target>
            <target type='variable'>gpo_proxy_port</target>
            <target type='variable'>gpo_proxy_bypass</target>
        </condition>

    </constraints>

    <help>
        <variable name='gpo_proxy_active'>Activer l'utilisation d'un proxy sur les navigateurs des postes clients du domaine.</variable>
        <variable name='gpo_proxy_type'>4 types de proxy peuvent être imposés.
    </variable>
    <variable name='gpo_proxy_url'>URL pour l'accès au fichier de configuration automatique du proxy (PAC : Proxy Auto-Config).</variable>
        <variable name='gpo_proxy_ip'>Adresse IP ou nom de domaine du serveur proxy à utiliser par les postes clients.</variable>
        <variable name='gpo_proxy_port'>Port du serveur proxy.</variable>
        <variable name='gpo_proxy_bypass'>Liste personnalisée de destinations pour lesquelles les postes clients ne doivent pas utiliser le proxy.</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
